# Copyright (c) 2000-2013, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%if "%{?rhel}" == "6"
%bcond_without repolib
%else
%bcond_with repolib
%endif

%define reltag .redhat_2
%define namedreltag -redhat-2
%global namedversion %{version}%{?namedreltag}

Name:           codehaus-jackson
Version:        1.9.9
Release:        4%{?reltag}%{?dist}
Epoch:          0
Summary:        Jackson is a Java-based JSON-processing 
License:        ASL 2.0/LGPLv2+
Group:          Development/Java
URL:            http://jackson.codehaus.org/
Source0:        http://jackson.codehaus.org/1.9.9/jackson-src-1.9.9.tar.gz
Source1:        http://central.maven.org/maven2/org/codehaus/jackson/jackson-core-asl/1.9.9/jackson-core-asl-1.9.9.pom
Source2:        http://central.maven.org/maven2/org/codehaus/jackson/jackson-core-lgpl/1.9.9/jackson-core-lgpl-1.9.9.pom
Source3:        http://central.maven.org/maven2/org/codehaus/jackson/jackson-jaxrs/1.9.9/jackson-jaxrs-1.9.9.pom
Source4:        http://central.maven.org/maven2/org/codehaus/jackson/jackson-mapper-asl/1.9.9/jackson-mapper-asl-1.9.9.pom
Source5:        http://central.maven.org/maven2/org/codehaus/jackson/jackson-mapper-lgpl/1.9.9/jackson-mapper-lgpl-1.9.9.pom
Source6:        http://central.maven.org/maven2/org/codehaus/jackson/jackson-mrbean/1.9.9/jackson-mrbean-1.9.9.pom
Source7:        http://central.maven.org/maven2/org/codehaus/jackson/jackson-smile/1.9.9/jackson-smile-1.9.9.pom
Source8:        http://central.maven.org/maven2/org/codehaus/jackson/jackson-xc/1.9.9/jackson-xc-1.9.9.pom
Patch0:         jackson-vman.patch
Patch1:         jackson-asm.patch
Patch2:         jackson-hibernate.patch
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildRequires:  jpackage-utils
BuildRequires:  ant
BuildRequires:  ant-junit
BuildRequires:  bndtask
BuildRequires:  cglib >= 0:2.2
BuildRequires:  groovy >= 0:1.7.4
BuildRequires:  guava >= 0:1.0
BuildRequires:  jboss-dependency-management-all >= 0:6.1.0
BuildRequires:  jboss-jaxrs-api_1.1_spec
BuildRequires:  jboss-parent >= 0:10
BuildRequires:  junit >= 0:4.8.2
BuildRequires:  maven-deploy-plugin
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Jackson is a:
  * Streaming (reading, writing)
  * FAST (measured to be faster than any other Java json parser and data binder)
  * Powerful (full data binding for common JDK classes as well as any Java bean class, Collection, Map or Enum)
  * Zero-dependency (does not rely on other packages beyond JDK)
  * Open Source (LGPL or AL)
  * Fully conformant
JSON processor (JSON parser + JSON generator) written in Java. Beyond basic JSON reading/writing (parsing, generating), it also offers full node-based Tree Model, as well as full OJM (Object/Json Mapper) data binding functionality.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation
Requires:       jpackage-utils
BuildRequires:  jpackage-utils

%description javadoc
Javadoc for %{name}.

%package core-asl
Summary:        core module from %{name} under asl license
Group:          Development/Java
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildRequires:  jpackage-utils

%description core-asl
%{summary}.

%package core-lgpl
Summary:        core module from %{name} under lgpl license
Group:          Development/Java
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildRequires:  jpackage-utils

%description core-lgpl
%{summary}.

%package mapper-asl
Summary:        mapper module from %{name} under asl license
Group:          Development/Java
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildRequires:  jpackage-utils
Requires:       %{name}-core-asl = %{epoch}:%{version}-%{release}
BuildRequires:  joda-time >= 0:1.5.2

%description mapper-asl
%{summary}.

%package mapper-lgpl
Summary:        mapper module from %{name} under lgpl license
Group:          Development/Java
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildRequires:  jpackage-utils
Requires:       %{name}-core-lgpl = %{epoch}:%{version}-%{release}
BuildRequires:  joda-time >= 0:1.5.2

%description mapper-lgpl
%{summary}.

%package jaxrs
Summary:        jaxrs module from %{name}
Group:          Development/Java
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildRequires:  jpackage-utils
Requires:       %{name}-core-asl = %{epoch}:%{version}-%{release}
Requires:       %{name}-mapper-asl = %{epoch}:%{version}-%{release}
Requires:       objectweb-asm-eap6 >= 0:3.3
BuildRequires:  objectweb-asm >= 0:3.3

%description jaxrs
%{summary}.

%package xc
Summary:        xc module from %{name}
Group:          Development/Java
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildRequires:  jpackage-utils
Requires:       %{name}-core-asl = %{epoch}:%{version}-%{release}
Requires:       %{name}-mapper-asl = %{epoch}:%{version}-%{release}

%description xc
%{summary}.

%package mrbean
Summary:        mrbean module from %{name}
Group:          Development/Java
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildRequires:  jpackage-utils
Requires:       %{name}-mapper-asl = %{epoch}:%{version}-%{release}

%description mrbean
%{summary}.

%package smile
Summary:        smile module from %{name}
Group:          Development/Java
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildRequires:  jpackage-utils
Requires:       %{name}-core-asl = %{epoch}:%{version}-%{release}

%description smile
%{summary}.

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%prep
%setup -q -n jackson-src-%{version}

%{_bindir}/find -type f \( -name '*.jar' \) | %{_bindir}/xargs -t %{__rm}

rm src/perf/perf/TestJsonPerf.java

cp -p %{SOURCE1} jackson-core-asl-%{version}.pom
cp -p %{SOURCE2} jackson-core-lgpl-%{version}.pom
cp -p %{SOURCE3} jackson-jaxrs-%{version}.pom
cp -p %{SOURCE4} jackson-mapper-asl-%{version}.pom
cp -p %{SOURCE5} jackson-mapper-lgpl-%{version}.pom
cp -p %{SOURCE6} jackson-mrbean-%{version}.pom
cp -p %{SOURCE7} jackson-smile-%{version}.pom
cp -p %{SOURCE8} jackson-xc-%{version}.pom

%patch0 -p1 -b .sav0
%patch1 -p1 -b .sav1
%patch2 -p1 -b .sav2

ln -s `%{_bindir}/build-classpath bndtask` lib/ant/bndtask-0.2.0.jar
ln -s `%{_bindir}/build-classpath cglib` lib/ext/cglib/cglib-nodep-2.2.jar
ln -s `%{_bindir}/build-classpath groovy` lib/ext/groovy/groovy-1.7.4.jar
ln -s `%{_bindir}/build-classpath guava` lib/ext/google/google-collections-1.0.jar
ln -s `%{_bindir}/build-classpath jboss-jaxrs-api_1.1_spec` lib/jaxrs/jsr311-api-1.1.jar
ln -s `%{_bindir}/build-classpath joda-time` lib/ext/joda-time-1.5.2.jar
ln -s `%{_bindir}/build-classpath junit` lib/junit/junit-4.8.2.jar
ln -s `%{_bindir}/build-classpath objectweb-asm/asm` lib/repackaged/jackson-asm-3.3.jar

%build
export LC_ALL=en_US.UTF-8
export ANT_OPTS=
export CLASSPATH=
export OPT_JAR_LIST="`cat %{_sysconfdir}/ant.d/junit`"
%{ant} -DIMPL_VERSION=%{namedversion} all

%install
rm -rf %{buildroot}

# jars
mkdir -p %{buildroot}%{_javadir}
mkdir -p %{buildroot}%{_javadir}/%{name}
cp -p dist/jackson-core-asl-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/jackson-core-asl-%{namedversion}.jar
cp -p dist/jackson-core-asl-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/jackson-core-asl-%{namedversion}-sources.jar
cp -p dist/jackson-core-lgpl-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/jackson-core-lgpl-%{namedversion}.jar
cp -p dist/jackson-core-lgpl-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/jackson-core-lgpl-%{namedversion}-sources.jar
cp -p dist/jackson-jaxrs-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/jackson-jaxrs-%{namedversion}.jar
cp -p dist/jackson-jaxrs-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/jackson-jaxrs-%{namedversion}-sources.jar
cp -p dist/jackson-mapper-asl-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/jackson-mapper-asl-%{namedversion}.jar
cp -p dist/jackson-mapper-asl-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/jackson-mapper-asl-%{namedversion}-sources.jar
cp -p dist/jackson-mapper-lgpl-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/jackson-mapper-lgpl-%{namedversion}.jar
cp -p dist/jackson-mapper-lgpl-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/jackson-mapper-lgpl-%{namedversion}-sources.jar
cp -p dist/jackson-mrbean-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/jackson-mrbean-%{namedversion}.jar
cp -p dist/jackson-mrbean-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/jackson-mrbean-%{namedversion}-sources.jar
cp -p dist/jackson-smile-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/jackson-smile-%{namedversion}.jar
cp -p dist/jackson-smile-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/jackson-smile-%{namedversion}-sources.jar
cp -p dist/jackson-xc-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/jackson-xc-%{namedversion}.jar
cp -p dist/jackson-xc-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/jackson-xc-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{namedversion}*.jar; do ln -s ${jar} `echo $jar | sed "s|-%{namedversion}||g"`; done)

# javadoc
mkdir -p %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
cp -pr dist/javadoc/* %{buildroot}%{_javadocdir}/%{name}-%{namedversion}
ln -s %{name}-%{namedversion} %{buildroot}%{_javadocdir}/%{name}

# poms
mkdir -p %{buildroot}%{_mavenpomdir}
cp -p jackson-core-asl-%{version}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-jackson-core-asl.pom
cp -p jackson-core-lgpl-%{version}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-jackson-core-lgpl.pom
cp -p jackson-jaxrs-%{version}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-jackson-jaxrs.pom
cp -p jackson-mapper-asl-%{version}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-jackson-mapper-asl.pom
cp -p jackson-mapper-lgpl-%{version}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-jackson-mapper-lgpl.pom
cp -p jackson-mrbean-%{version}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-jackson-mrbean.pom
cp -p jackson-smile-%{version}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-jackson-smile.pom
cp -p jackson-xc-%{version}.pom %{buildroot}%{_mavenpomdir}/JPP.%{name}-jackson-xc.pom

# depmaps
%add_to_maven_depmap org.codehaus.jackson jackson-core-asl %{namedversion} JPP/%{name} jackson-core-asl
mv %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}-jackson-core-asl
%add_to_maven_depmap org.codehaus.jackson jackson-core-lgpl %{namedversion} JPP/%{name} jackson-core-lgpl
mv %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}-jackson-core-lgpl
%add_to_maven_depmap org.codehaus.jackson jackson-mapper-asl %{namedversion} JPP/%{name} jackson-mapper-asl
mv %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}-jackson-mapper-asl
%add_to_maven_depmap org.codehaus.jackson jackson-mapper-lgpl %{namedversion} JPP/%{name} jackson-mapper-lgpl
mv %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}-jackson-mapper-lgpl
%add_to_maven_depmap org.codehaus.jackson jackson-jaxrs %{namedversion} JPP/%{name} jackson-jaxrs
mv %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}-jackson-jaxrs
%add_to_maven_depmap org.codehaus.jackson jackson-mrbean %{namedversion} JPP/%{name} jackson-mrbean
mv %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}-jackson-mrbean
%add_to_maven_depmap org.codehaus.jackson jackson-smile %{namedversion} JPP/%{name} jackson-smile
mv %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}-jackson-smile
%add_to_maven_depmap org.codehaus.jackson jackson-xc %{namedversion} JPP/%{name} jackson-xc
mv %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/%{name}-jackson-xc

# repolib
%if %with repolib
url=file://%{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
for i in core-asl core-lgpl jaxrs mapper-asl mapper-lgpl mrbean smile xc; do
    pomFile=%{buildroot}%{_mavenpomdir}/JPP.%{name}-jackson-${i}.pom
    file=%{buildroot}%{_javadir}/%{name}/jackson-${i}-%{namedversion}.jar
    sources=%{buildroot}%{_javadir}/%{name}/jackson-${i}-%{namedversion}-sources.jar
    %{_bindir}/mvn-jpp deploy:deploy-file -DpomFile=${pomFile} -Dfile=${file} -Dsources=${sources} -Durl=${url}
done
%endif

%clean
rm -rf %{buildroot}

%post core-asl
%update_maven_depmap

%postun core-asl
%update_maven_depmap

%post core-lgpl
%update_maven_depmap

%postun core-lgpl
%update_maven_depmap

%post jaxrs
%update_maven_depmap

%postun jaxrs
%update_maven_depmap

%post mapper-asl
%update_maven_depmap

%postun mapper-asl
%update_maven_depmap

%post mapper-lgpl
%update_maven_depmap

%postun mapper-lgpl
%update_maven_depmap

%post mrbean
%update_maven_depmap

%postun mrbean
%update_maven_depmap

%post smile
%update_maven_depmap

%postun smile
%update_maven_depmap

%post xc
%update_maven_depmap

%postun xc
%update_maven_depmap

%files
%defattr(0644,root,root,0755)

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{namedversion}
%{_javadocdir}/%{name}

%files core-asl
%defattr(0644,root,root,0755)
%doc README.txt
%{_javadir}/%{name}/jackson-core-asl-%{namedversion}.jar
%{_javadir}/%{name}/jackson-core-asl.jar
%{_javadir}/%{name}/jackson-core-asl-%{namedversion}-sources.jar
%{_javadir}/%{name}/jackson-core-asl-sources.jar
%{_mavenpomdir}/JPP.%{name}-jackson-core-asl.pom
%{_mavendepmapfragdir}/%{name}-jackson-core-asl

%files core-lgpl
%defattr(0644,root,root,0755)
%doc README.txt
%{_javadir}/%{name}/jackson-core-lgpl-%{namedversion}.jar
%{_javadir}/%{name}/jackson-core-lgpl.jar
%{_javadir}/%{name}/jackson-core-lgpl-%{namedversion}-sources.jar
%{_javadir}/%{name}/jackson-core-lgpl-sources.jar
%{_mavenpomdir}/JPP.%{name}-jackson-core-lgpl.pom
%{_mavendepmapfragdir}/%{name}-jackson-core-lgpl

%files mapper-asl
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/jackson-mapper-asl-%{namedversion}.jar
%{_javadir}/%{name}/jackson-mapper-asl.jar
%{_javadir}/%{name}/jackson-mapper-asl-%{namedversion}-sources.jar
%{_javadir}/%{name}/jackson-mapper-asl-sources.jar
%{_mavenpomdir}/JPP.%{name}-jackson-mapper-asl.pom
%{_mavendepmapfragdir}/%{name}-jackson-mapper-asl

%files jaxrs
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/jackson-jaxrs-%{namedversion}.jar
%{_javadir}/%{name}/jackson-jaxrs.jar
%{_javadir}/%{name}/jackson-jaxrs-%{namedversion}-sources.jar
%{_javadir}/%{name}/jackson-jaxrs-sources.jar
%{_mavenpomdir}/JPP.%{name}-jackson-jaxrs.pom
%{_mavendepmapfragdir}/%{name}-jackson-jaxrs

%files mapper-lgpl
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/jackson-mapper-lgpl-%{namedversion}.jar
%{_javadir}/%{name}/jackson-mapper-lgpl.jar
%{_javadir}/%{name}/jackson-mapper-lgpl-%{namedversion}-sources.jar
%{_javadir}/%{name}/jackson-mapper-lgpl-sources.jar
%{_mavenpomdir}/JPP.%{name}-jackson-mapper-lgpl.pom
%{_mavendepmapfragdir}/%{name}-jackson-mapper-lgpl

%files mrbean
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/jackson-mrbean-%{namedversion}.jar
%{_javadir}/%{name}/jackson-mrbean.jar
%{_javadir}/%{name}/jackson-mrbean-%{namedversion}-sources.jar
%{_javadir}/%{name}/jackson-mrbean-sources.jar
%{_mavenpomdir}/JPP.%{name}-jackson-mrbean.pom
%{_mavendepmapfragdir}/%{name}-jackson-mrbean

%files smile
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/jackson-smile-%{namedversion}.jar
%{_javadir}/%{name}/jackson-smile.jar
%{_javadir}/%{name}/jackson-smile-%{namedversion}-sources.jar
%{_javadir}/%{name}/jackson-smile-sources.jar
%{_mavenpomdir}/JPP.%{name}-jackson-smile.pom
%{_mavendepmapfragdir}/%{name}-jackson-smile

%files xc
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/jackson-xc-%{namedversion}.jar
%{_javadir}/%{name}/jackson-xc.jar
%{_javadir}/%{name}/jackson-xc-%{namedversion}-sources.jar
%{_javadir}/%{name}/jackson-xc-sources.jar
%{_mavenpomdir}/JPP.%{name}-jackson-xc.pom
%{_mavendepmapfragdir}/%{name}-jackson-xc

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%dir %{_javadir}
%{_javadir}/repository.jboss.com
%endif

%changelog
* Wed Apr 17 2013 David Walluck <dwalluck@redhat.com> 0:1.9.9-3
- Requires: objectweb-asm-eap6, not objectweb-asm (leave BR as-is)

* Thu Apr 11 2013 Yong Yang <yyang@redhat.com> 0:1.9.9-3.redhat_2
- BR bndtask, rm the bundled bndtask-0.2.0.jar

* Mon Apr 08 2013 David Walluck <dwalluck@redhat.com> 0:1.9.9-2
- add asm to mrbean pom (required)
- add joda-time to core poms (optional)
- remove build patch
- add asm mrbean patch
- add asm hibernate test patch
- fix version
- fix bad/missing Requires
- fix BuildRequires
- use jboss-jaxrs-api_1.1_spec, not jsr311-api
- fix bad/broken pom names
- fix poms/rerun vman
- set LC_ALL
- update Group
- update License to use standard abbreviations
- remove duplicate poms in main package
- fix jpp depmaps and depmap scripts
- fix ant call
- fix mvn deploy
- simplify mvn-deploy commands
- fix bad macros
- fix version in file names
- fix file list
- fix repolib file list
- remove obsolete GCJ support
- move some build logic to prep
- add sources jars

* Fri Mar 01 2013 Fernando Nasser <fnasser@redhat.com> - 0:1.9.9-1.redhat_1
- Upgrade to 1.9.9

* Thu Aug 16 2012 Paul Gier <pgier@redhat.com> - 0:1.9.2-5_redhat_2.5
- Update poms for eap 6.0.1

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.9.2-5_redhat_2.5
- Rebuild unsigned

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.9.2-5_redhat_1.3
- Rebuild using cache signing

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.9.2-5_redhat_1.2
- Rebuild using cache signing

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.9.2-5_redhat_1.1
- Rebuild using cache signing

* Fri Jan 06 2012 Yong Yang <yyang@redhat.com> - 0:1.9.2-5_redhat_1
- Upgrade to 1.9.2
- Add vman poms as SOURCEs

* Mon Aug 29 2011 Yong Yang <yyang@redhat.com> - 0:1.6.3-4_redhat_1
- Call modpom script to run vman

* Mon Aug 29 2011 Yong Yang <yyang@redhat.com> - 0:1.6.3-3_redhat_1
- Run vman agaist the poms

* Mon Aug 29 2011 Yong Yang <yyang@redhat.com> - 0:1.6.3-2_redhat_1
- Build for werewolf

* Thu Jun 16 2011 Yiqiao Wang <yiwang@redhat.com> - 0:1.6.3-1
- Upgrade to 1.6.3

* Wed Feb 9 2011 Yiqiao Wang <yiwang@redhat.com> - 0:1.3.5-0.1.1.2
- Add %%update_maven_depmap in %%post and %%postun
- Change BR junit44 to junit4

* Fri Jan 14 2011 Yiqiao Wang <yiwang@redhat.com> - 0:1.3.5-0.1.1.1
- Rebuild

* Tue Nov 16 2010 Yiqiao Wang <yiwang@redhat.com> - 0:1.3.5-0.1.1
- Build with Maven 2.2.1
- Add upload.sh to repolib
- Fix %%files for signed jars
- Add content of maven2-brew
- Add %%{_javadir}/repository.jboss.com under %%files

* Tue May 18 2010 Yong Yang <yyang@redhat.com> - 0:1.3.5-0.1
- Upgrade to 1.3.5

* Tue May 04 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.0.1-2.1.1
- rebuilt

* Fri Apr 02 2010 Yong Yang <yyang@redhat.com> - 0:1.0.1-2.1
- Rebuild

* Thu Dec 17 2009 Yong Yang <yyang@redhat.com> - 0:1.0.1-2
- Combine multiple repolibs

* Fri Oct 30 2009 Yong Yang <yyang@redhat.com> - 0:1.0.1-1
- First release
